## NOTE Set rcver to e.g. rc1, or 0 for a full release
%define rcver	0
%define rel	2
%if %{rcver}
%define release %mkrel -c %{rcver} %{rel}
%else
%define release %mkrel %{rel}
%undefine rcver
%endif
Name:		wsjtx
Summary:	Enables JT9, JT65 and WSPR-2 modes for Weak Signal digital Amateur Radio
Version:	1.7.0
Release:	%{release}
License:	GPLv3
Url:		http://www.physics.princeton.edu/pulsar/K1JT/
Group:		Communications/Radio
Source0:	%{name}-%{version}%{?rcver:-%{rcver}}.tar.gz
Source1:	mktar

BuildRequires:	asciidoc
BuildRequires:	cmake
BuildRequires:	gcc-gfortran
BuildRequires:	libgomp-devel
BuildRequires:	pkgconfig(fftw3)
BuildRequires:	pkgconfig(libxslt)
BuildRequires:	pkgconfig(Qt5Concurrent)
BuildRequires:	pkgconfig(Qt5Multimedia)
BuildRequires:	pkgconfig(Qt5OpenGL)
BuildRequires:	pkgconfig(Qt5SerialPort)
BuildRequires:	qtmultimedia5
BuildRequires:	subversion
BuildRequires:	texinfo
# kvasd is no longer required by wsjtx > 1.7.0 so there is no need for it.
# kvasd-installer has been moved to obsoletes.
Obsoletes:	kvasd-installer < 1.12.15-3

%description
WSJT-X is a program designed to facilitate basic amateur radio communication
using very weak signals. The first four letters in the program name stand for
“Weak Signal communication by K1JT,” while the suffix “-X” indicates that
WSJT-X started as an extended (and experimental) branch of the program WSJT.
This package is aimed primarily at the LF, MF, and HF bands and now includes
the following modes: JT4, JT9, JT65, QRA64, ISCAT, MSK144, WSPR and echo.

%prep
%setup -q -n %{name}-%{version}%{?rcver:-%{rcver}}

%build
# wsjtx has built-in link to on-line docs so I have dropped local doc build
%cmake_qt5 -DWSJT_GENERATE_DOCS=OFF

%make_build

%install
%make_install -C build

rm -f %{buildroot}%{_docdir}/%{name}/{INSTALL,COPYING,changelog.Debian.gz,copyright}

%files
%doc %{_docdir}/%{name}/*
%{_bindir}/*
%{_datadir}/applications/*.desktop
%{_datadir}/%{name}/JPLEPH
%{_datadir}/pixmaps/%{name}_icon.png
%{_mandir}/man1/*


%changelog
* Tue Dec 20 2016 barjac <barjac> 1.7.0-2.mga6
+ Revision: 1076196
- obsolete kvasd-installer
- remove buildrequires that were only needed for docs

* Mon Dec 19 2016 barjac <barjac> 1.7.0-1.mga6
+ Revision: 1076175
- new version 1.7.0

* Wed Feb 17 2016 umeabot <umeabot> 1.6.0-2.mga6
+ Revision: 963284
- Mageia 6 Mass Rebuild

* Mon Dec 14 2015 barjac <barjac> 1.6.0-1.mga6
+ Revision: 910373
- new full release 1.6.0

* Fri Dec 11 2015 barjac <barjac> 1.6.0-0.rc2.1.mga6
+ Revision: 909472
- new version 1.6.0-rc2

* Fri Nov 27 2015 barjac <barjac> 1.6.0-0.rc1.1.mga6
+ Revision: 906441
- new package wsjtx

